BoardMapping
Update a mapping
cURL
curl --request PUT \
--url '/public-api/v1/BoardMapping/{boardId}/Update/{mappingId}' \
--header 'user-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"Name": "string",
"PropertiesMapping": {},
"KeyColumnName": "string"
}'Authorizations
- user-api-keystringheader
User's API Key · apiKey
Path parameters
- boardIdstringrequired
- mappingIdstringrequired
Body
application/jsonMapping Data
- Namestringrequired
Name of mapping
- PropertiesMappingobjectrequired
Mapping of properties (PropertyRef / ImportCSVPropertyMapping).
Each key is the Id of a board property (26-character ULID, e.g. "01KT4Z8Q2M5R7XJ6N3V9B1C0DE") and each value describes how its CSV column is read.
N.B : The key column (KeyColumnName) must be mapped by one of these properties.
- KeyColumnNamestringrequired
Name of the CSV column used as the unique key to match rows with existing entities
Responses
OK